--[[
    Default english localizations for MiniPet
    $Revision: 183 $
]]--

--[[
Copyright (c) 2008-2010, LordFarlander
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
]]--

local L = LibStub( "AceLocale-3.0" ):NewLocale( "MiniPet", "enUS", true );

if( L ) then
    --Localised variable names
    L["MiniPet"] = true;
    L["Summon Companion"] = true;
    L["%s requires %s"] = true;

    --Slash commands
    L["minipet"] = true;
    L["mp"] = true;

    --Slash sub commands
    L["list"] = true;
    L["refresh"] = true;
    L["gui"] = true;
    L["newRandom"] = true;
    L["nextItem"] = true;
    L["summon"] = true;
    L["dismiss"] = true;
    L["boostNew"] = true;
    L["boostNewTime"] = true;
    --Button commands
    L["autoHideButton"] = true;
    L["toggleButton"] = true;
    L["lockButton"] = true;
    L["fadeOut"] = true;
    L["fadeOutCancelInCombat"] = true;
    L["fadeOutCancelOnShift"] = true;
    L["fadeOutCancelOnCtrl"] = true;
    L["fadeOutCancelOnAlt"] = true;
    L["fadeOutInsteadHide"] = true;
    L["alpha"] = true;
    L["fadeOutTime"] = true;
    L["fadeOutDelay"] = true;
    L["fadeOutAlpha"] = true;
    L["buttonScale"] = true;
    --Favorites commands
    --Groups
    L["options"] = true;
    L["profile"] = true;
    L["button"] = true;
    L["favorites"] = true;
    L["zoneFavorites"] = true;

    --Option names
    L["List all companions"] = true;
    L["Refresh companion list"] = true;
    L["Force the picking of a new random companion"] = true;
    L["Cycle to the next companion modifier item"] = true;
    L["List"] = true;
    L["Refresh"] = true;
    L["Open GUI configurator"] = true;
    L["Summons the current random companion (if a learned companion)"] = true;
    L["Dismisses the current companion (if a learned companion)"] = true;
    L["Boost new companions"] = true;
    L["New time"] = true;
    --Button options
    L["Automatically hide button"] = true;
    L["Show button"] = true;
    L["Lock button position"] = true;
    L["Alpha of button"] = true;
    L["Cancel fadeout in combat"] = true;
    L["Cancel fadeout on Shift"] = true;
    L["Cancel fadeout on Ctrl"] = true;
    L["Cancel fadeout on Alt"] = true;
    L["Time until fadeout"] = true;
    L["Delay until fadeout"] = true;
    L["Alpha after fadeout"] = true;
    L["Fade out"] = true;
    L["Cancel fade out if in combat"] = true;
    L["Cancel fade out if holding Shift"] = true;
    L["Cancel fade out if holding Ctrl"] = true;
    L["Cancel fade out if holding Alt"] = true;
    L["Fade out time"] = true;
    L["Fade out delay"] = true;
    L["Fade out instead of hiding"] = true;
    L["Scale of button"] = true;
    --Zone and favorites options
    L["Frequency"] = true;
    L["Zones"] = true;
    L["Companion"] = true;
    L["List all favorite companions"] = true;
    L["List all zone favorite companions"] = true;
    L["Zones in %s"] = true;
    L["Exclusive"] = true;
    L["Override favorites"] = true;
    L["Move up"] = true;
    L["Move down"] = true;
    --Tab titles
    L["Zone Favorites"] = true;
    L["Button"] = true;
    L["Favorites"] = true;
    L["Profile"] = true;

    --Values
    L["none"] = true;
    L["yes"] = true;
    L["no"] = true;
    L["locked"] = true;
    L["unlocked"] = true;
    L["showing"] = true;
    L["hiding"] = true;
    L["default"] = true;
    L["never"] = true;
    L["%.1f times as often"] = true;
    L["exclusive"] = true;
    L["Companions"] = true;
    
    --Option descriptions
    L["Show a list with all of your companions."] = true;
    L["Force a refresh of the list of all your companions."] = true;
    L["Toggles if new companions will be selected more often than old ones."] = true;
    L["Set for how many days companions are concidered new."] = true;
    --Button descriptions
    L["Options relating to the button."] = true;
    L["Hide the button when you click it?"] = true;
    L["Lock/unlock the position of the button."] = true;
    L["Show/hide the button."] = true;
    L["Sets the alpha value that the button has normally."] = true;
    L["Sets the alpha value that the button has after faded out."] = true;
    L["Fade the button out when the cursor is not over it?"] = true;
    L["Should the button not fade out if you're in combat?"] = true;
    L["Should the button not fade out if you're holding Shift?"] = true;
    L["Should the button not fade out if you're holding Ctrl?"] = true;
    L["Should the button not fade out if you're holding Alt?"] = true;
    L["Sets how long the button takes to fade out."] = true;
    L["Sets the delay before the button starts to fade."] = true;
    L["Fade the button out instead of hiding it?"] = true;
    L["Sets the scaling value for the button to make it bigger or smaller."] = true;
    --Zone and favorites descriptions
    L["Set a companion to use when in a certain zone."] = true;
    L["Companions that should be picked more often if you have them."] = true;
    L["Set how often the companion gets picked.  2 is twice as often and 0 is never."] = true;
    L["Companions that should be picked more often if you have them in the selected zone."] = true;
    L["Show a list with all of your favorite companions."] = true;
    L["Show a list with all of your zone favorite companions."] = true;
    L["Companions marked Exclusive will be the only ones picked from."] = true;
    L["Check this to override the favorites settings for this companion."] = true;
    --Groups
    L["Addon options."] = true;
    L["List of your companions [%i total]:"] = true;
    L["List of your favorite companions:"] = true;
    L["List of your zone favorite companions:"] = true;
    L["ALERT: Time to summon your companion!"] = true;

    --Tooltip text
    L["Get a companion for some company!"] = true;
    
    L["Summoning %s"] = true;    
end--if    

L = LibStub( "AceLocale-3.0" ):NewLocale( "MiniPet warnings Module", "enUS", true );
if( L ) then
    L["Warnings"] = true;
    L["toggleTextWarning"] = true;
    L["toggleButtonWarning"] = true;
    L["toggleBG"] = true;
    L["delayWarnings"] = true;
    L["Text warning"] = true;
    L["Button warning"] = true;
    L["Battleground check"] = true;
    L["Delay warnings"] = true;
    L["Show text warnings to alert you to summon your companion."] = true;
    L["Flash the button to alert you to summon your companion."] = true;
    L["Show companion alerts while in a battleground."] = true;
    L["Delay warnings until after combat or casting."] = true;
end--if
        
L = LibStub( "AceLocale-3.0" ):NewLocale( "MiniPet autosummon Module", "enUS", true );
if( L ) then
    L["Auto Summon"] = true;
    L["autosummon"] = true;
    L["unsummonWhenStealthed"] = true;
    L["combatWait"] = true;
    L["Auto summon"] = true;
    L["Unsummon when stealthed"] = true;
    L["Combat wait"] = true;
    L["Toggles whether companions that are learned should be automatically summoned any time a warning would be given."] = true;
    L["Toggles whether companions that are learned should be automatically unsummoned when stealthing/shadowmelding/etc."] = true;
    L["Toggles whether to wait until after combat is over before automatically summoning."] = true;
end--if    

L = LibStub( "AceLocale-3.0" ):NewLocale( "MiniPet equipment Module", "enUS", true ); 
if( L ) then
    L["Equipment"] = true;
    L["equipmentCheck"] = true;    
    L["Check to make sure that equipment companions are equipped"] = true;    
    L["Toggles whether companions summoned by equipment will be suggested when the item is unequipped."] = true;
end--if

L = LibStub( "AceLocale-3.0" ):NewLocale( "MiniPet enchant item Module", "enUS", true ); 
if( L ) then
    L["Companion Enchants"] = true;
    L["minipetItemModifier"] = true;
    L["Modifier key for modifier items"] = true;
    L["Modifier Items"] = true;
    L["Changes the key that needs to be held down to pick a modifer item."] = true;
    L["Allows you to set the order that modifier items are picked."] = true;
    L["Moves the selected modifier up in the list."] = true;
    L["Moves the selected modifier down in the list."] = true;
    L["Move up"] = true;
    L["Move down"] = true;
    L["Disabled"] = true;
    L["Alt"] = true;
    L["Control"] = true;
    L["Shift"] = true;
    L["Papa Hummel's Old-Fashioned Pet Biscuit"] = true;
    L["Rope Pet Leash"] = true;
    L["Fetch Ball"] = true;
    L["Pet Grooming Kit"] = true;
    L["Happy Pet Snack"] = true;
    L["Red Ribbon Pet Leash"] = true;
end--if    

L = LibStub( "AceLocale-3.0" ):NewLocale( "MiniPet mount support Module", "enUS", true );
if( L ) then
    L["Mount"] = true;
    L["toggleMountWarning"] = true;    
    L["toggleFlyingMountWarning"] = true;
    L["Mount warning"] = true;
    L["Only flying warning"] = true;
    L["Show an alert only when you dismount from a flying mount."] = true;    
    L["Show an alert when you dismount from your mount."] = true;    
end--if
    
L = LibStub( "AceLocale-3.0" ):NewLocale( "MiniPet quest companion Module", "enUS", true );
if( L ) then    
    L["Quest"] = true;
    L["forceQuestPet"] = true;    
    L["Force to pick a quest companion if availiable"] = true;    
    L["Toggles whether companions that are part of a quest are preferred instead of a random companion."] = true;    
end--if    
    
L = LibStub( "AceLocale-3.0" ):NewLocale( "MiniPet reagented Module", "enUS", true );
if( L ) then
    L["Reagented"] = true;
    L["reagentCheck"] = true;    
    L["Check for reagented companions that are missing their reagent"] = true;    
    L["Toggles whether companions that require a reagent will be suggested when you have none of the required reagent."] = true;    
end--if
